# Request a fresh signing link (/docs/reference/Rest-API/api-docs/recipients/requestFreshSigningLink)


{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

## POST /v2/sign/unauth/{envelope_id}/{role_name}/{key}/fresh-link

`POST https://api.verdocs.com/v2/sign/unauth/{envelope_id}/{role_name}/{key}/fresh-link`

### Path parameters

- `envelope_id` (string, uuid, required): The envelope to operate on.
- `role_name` (string, required): The role requesting the link.
- `key` (string, required): The access key from the link the signer followed (it may be expired).

### Responses

#### 200: Success

Content type `application/json`.

Type: `string`

#### 400: Request Error

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 401: Access Denied

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 404: Not Found

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 406: Invalid Parameter

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

### Example request

```bash
curl -X POST "https://api.verdocs.com/v2/sign/unauth/ENVELOPE_ID/ROLE_NAME/KEY/fresh-link" \
    -H "Authorization: Bearer ACCESS_TOKEN" \
    -H "content-type: application/json" \
    -d '{"param": "value"}'
```
